@echo off
:: bulkExportPST.bat - Delete all MailStore users except the default admin 
::                     user 'admin'.
::
:: Copyright (c) 2012, 2013, 2014 MailStore Software GmbH
:: 
:: Permission is hereby granted, free of charge, to any person obtaining
:: a copy of this software and associated documentation files (the
:: "Software"), to deal in the Software without restriction, including
:: without limitation the rights to use, copy, modify, merge, publish,
:: distribute, sublicense, and/or sell copies of the Software, and to
:: permit persons to whom the Software is furnished to do so, subject to
:: the following conditions:
:: 
:: The above copyright notice and this permission notice shall be
:: included in all copies or substantial portions of the Software.
:: 
:: THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
:: EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
:: MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
:: NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE
:: LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION
:: OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION
:: WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

:: Configuration settings for MailStore Management Shell
:: Use double quotes for long file names and single quotes for text values
set mailstoreCMD="C:\Program Files\deepinvent\MailStore Server\MailStoreCmd.exe"
set mailstoreHost='localhost'
set mailstoreFingerprint='de:ad:be:ef:de:ad:be:ef'
set mailstoreUser='admin'
set mailstorePassword='admin'
set mailstoreCommandLine=%mailstoreCMD% --nologo --h=%mailstoreHost% --pkv3=%mailstoreFingerprint% --u=%mailstoreUser% --p=%mailstorePassword%

:: ################ DON'T CHANGE ANYTHING BELOW THIS LINE ################

if [%1]==[/?] goto usage
goto main

:: Print usage information 
:usage
echo Delete all MailStore users except the default admin user 'admin'.
echo. 
echo USAGE: %0
echo.
exit /B 1

:: Main program
:main
setlocal EnableDelayedExpansion

:: Set codepage according to system language
:: 1252 works well for DE and EN
chcp 1252

:: Loop through all mailstore users and delete everyone but the user 'admin'
for /f "usebackq delims=" %%u in (`%mailstoreCommandLine% -c user-list`) do ( 
  if not "%%u"=="admin" (
    %mailStoreCommandLine% -c DeleteUser --userName=%%u
  )
)
